%%%%%%%%%%%%%%%%%%%%%% p10_3.m %%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%----------------------------------------------------
%       Problem 10.3: Pole-placement design
%----------------------------------------------------
  clear
  disp('Problem 10.3: Pole-placement design')
  disp('	3rd-order system')  
  disp(' ')
  A = [-4 1 2; 1 -5 3; 2 0 -6]      % state matrix
  B = [ 1; 0.5; 2]                  % input matrix
  p = [-4 -8 -10]                    % desired pole locations
  disp('*****>');pause
  F = place(A,B,p)                  % control gain
  A_cl = A-B*F                      % closed-loop system matrix
  eig(A_cl)                         % check eigenvalues
  disp('end of Reinforcement Problem 10.3')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%