%%%%%%%%%%%%%%%%%%%%%% p2_14.m %%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/25/99 HS
%----------------------------------------------------
%    Problem 2.14: given G(s), find response to 
%   			1 cycle of sine wave via lsim
%----------------------------------------------------
clear, clf
disp('Problem 2.14 - Response to one cycle of a sine wave')
numG = [3 4 5]
denG = [2 7 11 12 4]
G = tf(numG, denG)
disp('*****>');pause
time = [0:0.01:5]';
u = 0*time;
i1 = min(find(time>=2));
for i=1:i1,u(i)=2*sin(pi*time(i));end
y = lsim(G,u,time);
axis([0 5 -1.5 1.5]);
plot(time,y,time,u*0.5,'--');grid
title('P2.14: output(solid) & input*0.5(---)')
axis;
disp('End of Reinforcement Problem 2.14')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
