%%%%%%%%%%%%%%%%%%%%%% p2_19.m %%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/23/99 HS
%---------------------------------------------------- 
%       Problem 2.19:  determine output for
%    a given transfer function and input signal
%         via lsim and impulse commands
%----------------------------------------------------
clear, clf
disp('Problem 2.19 - exponentially decaying sinusoidal input')
t = [0:0.05:10]';
e = exp(-t).*sin(2*t);
numG = conv([1 3],[1 2 5])
denG = conv(conv([1 1],[1 2]),conv([1 4],[1 4]))
G = tf(numG, denG)
disp('*****>');pause
lsim(G,e,t)
title('P2.19: response done via lsim command')
grid
keyboard
impulse(2*[1 3],denG,t)
title('P2.19: response done via impulse command')
grid
disp('end of Reinforcement Problem 2.19')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%