%%%%%%%%%%%%%%%%%%%%% wif2_8b.m %%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/23/99 HS
%---------------------------------------------------- 
%        What If for Example 2.8, part b:  
%  determine poles, zeros, and stability of system 
%      with pole in the open right-half plane
%----------------------------------------------------
disp('What If 2.8(b): Poles and system stability')
disp(' ')
numG = [1.5 1]
denG = [1 2 2.5 -0.5]
disp('*****>');pause
disp('zeros:')
zGroots = roots(numG)
disp('poles:')
pGroots = roots(denG)
disp('*****>');pause
G = tf(numG,denG)
pG = pole(G)
disp('*****>');pause
disp('System is unstable because one the poles is in the')
disp('...right half-plane. The impulse-response grows ')
disp('...without bound.')
disp('*****>');pause
pzmap(G);grid
axis([-1.5 0.5 -1.5 1.5]);
title('WIF2.8b: pole-zero map')
keyboard
impulse(G);grid
title('WIF2.8b: impulse response')
disp('End of What If 2.8b')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%