%%%%%%%%%%%%%%%%%%%%%% p3_13.m %%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/24/99 HS
%----------------------------------------------------
%        Problem 3.13: Feedback connection
%         find zeros, poles, gain of T(s).
%             Also get step response
%----------------------------------------------------
clear, clf
numG = [2 1]
denG = [4 5 8]
G = tf(numG,denG)
pG = roots(denG)     % poles of G
disp('*******>');pause
numH = [4 7]
denH = conv([1 1],[1 8])
H = tf(numH,denH)
pH = roots(denH)     % poles of H
disp('*******>');pause
T = feedback(G,H)
disp('*******>');pause
[zT,pT,kT] = zpkdata(T,'v')
disp('All poles in LHP ==> Stable')
disp('*******>');pause
step(T)
grid;title('P3.13: step response of feedback connection')
disp('end of Reinforcement Problem 3.13')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%