%%%%%%%%%%%%%%%%%%%%%% p3_4.m %%%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/24/99 HS
%----------------------------------------------------
%    Problem 3.4: Series connection of three systems.
%----------------------------------------------------
clear, clf
numG1 = [2 1]
denG1 = [1 5]
G1 = tf(numG1,denG1)
numG2 = 5*[2 3]
denG2 = [5 2 2]
G2 = tf(numG2,denG2)
disp('*******>');pause
G12 = G1*G2
disp('*******>');pause
numG3 = [3 1]
denG3 = [1 2 8]
G3 = tf(numG3,denG3)
disp('*******>');pause
G123 = G12*G3
disp('*******>');pause
%------- find zeros, poles, & gain of combined system
[zG123,pG123,kG123] = zpkdata(G123,'v')
disp('All poles in LHP ==> Stable')
disp('*******>');pause
step(G123)
grid;title('P3.4: Step Response')
disp('End of Reinforcement Problem 3.4')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%