%%%%% fig4_1a.m %%%%% 
%	Dec 98
% last revision: 12/28/1998, JHC
set(gcf,'DefaultAxesFontSize',16)
set(gcf,'DefaultTextFontSize',16)
disp('fig 4.1: Example 4.4: State response')
  A = [-2 -2.5 -0.5; 1 0 0; 0 1 0] 
  B = [1; 0; 0]  
  C = [0 1.5 1] 
  D = 0
  G = ss(A,B,C,D)
  t = [0:0.1:20]';
  xo = [1; 0; 2]                 % initial condition
  u(1,1:20) = 2*ones(1,20);      % input for 0<t<2
  u(1,21:201) = 0.5*ones(1,181); % input for t>2
  [y,t,x] = lsim(G,u,t,xo);  % response due to input and 
			         %   initial condition
  plot(t,x(:,1),'-',t,x(:,2),'--',t,x(:,3),'-.')
  xlabel('Time (secs)')
  ylabel('Amplitude')
  plt_ttl('Linear Simulation Results',' ')
  grid
  text(6,0.3,'x_1(t)')
  text(6,-0.5,'x_2(t)')
  text(8,1.8,'x_3(t)')
  print -deps fig4_1.eps
%-- reset fonts to defaults
set(gcf,'DefaultAxesFontSize',get(0,'DefaultAxesFontSize'));
set(gcf,'DefaultTextFontSize',get(0,'DefaultTextFontSize'));
%%%%%%%%%%
