%%%%% fig7_2b.m %%%%% 
%  Jan 99
%  last revision:  1/2/99  JHC
set(gcf,'DefaultAxesFontSize',16)
set(gcf,'DefaultTextFontSize',16)
disp('fig 7.2b: Disturbance step response for Example 7.1')
  denGp = conv(conv([1 0.01],[1 1]),[1 20])
  Gp = tf(1,denGp)
  G  = 50*Gp   % Gc(s) = 50
  T = feedback(G,1.0)  % unity feedback
  t = [0:0.05:20]';
  Td = feedback(Gp,50)
  step(Td,t)
  plt_ttl('Step Response',' ')
  grid
  print -deps fig7_2b.eps
  % title('fig 7.2b : Disturbance step response of third order system')
%-- reset fonts to defaults
set(gcf,'DefaultAxesFontSize',get(0,'DefaultAxesFontSize'));
set(gcf,'DefaultTextFontSize',get(0,'DefaultTextFontSize'));
%%%%%%%%%%