%%%%%%%%%%%%%%%%%%%%%% p10_4.m %%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%----------------------------------------------------
%       Problem 10.4: Pole-placement design
%----------------------------------------------------
  clear
  disp('Problem 10.4: Pole-placement design')
  disp(' 4th-order modal system')  
  disp(' ')
  A = [-2 0 0 0; 0 -4 0 0; 0 0 -5 0; 0 0 0 0]    % state matrix
  B = [ 1; 1; 2; 10]                    % input matrix
  p = [-1 -2.5 -4.5 -5.5]                    % desired pole locations
  disp('*****>');pause
  F = place(A,B,p)                  % control gain
  A_cl = A-B*F                      % closed-loop system matrix
  eig(A_cl)                         % check eigenvalues
  disp('end of Reinforcement Problem 10.4')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%