%%%%%%%%%%%%%%%%%%%%%% p2_1.m %%%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/23/99 HS
%----------------------------------------------------
% Problem 2.1: find zeros, poles, gain of a tf model.
%    Also convert model into ZPK form and make
%    pole-zero plot.
%----------------------------------------------------
clear, clf
disp('Problem 2.1: Third-order system')
numG = [2 3 1]
denG = [1 2.4 1.8 2]
G = tf(numG,denG)
disp('*******>');pause
GG = zpk(G)
disp('*******>');pause
[z,p,k] = zpkdata(G,'v')
disp('*******>');pause
pzmap(G)
disp('End of Reinforcement Problem 2.1')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%