%%%%%%%%%%%%%%%%%%%%% wif2_9.m %%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/23/99 HS
%---------------------------------------------------- 
%   What If for Example 2.10: determine poles,
%       zeros and step response of system 
%----------------------------------------------------
clear,clf
disp('What If 2.10: Ex 2.10 with zero at s = 5.0')
disp(' ')
numG = [-0.2 1]
denG = [0.5 1.5 1]
G = tf(numG,denG)
disp('*****>');pause
[zz,pp,kk] = zpkdata(G,'v')
disp('The system has a RHP zero at s = +5')
disp('*****>');pause
step(G);grid
title('WIF2.10 : Step response with a zero at s = +5')
disp('end of What If 2.10')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%