%%%%%%%%%%%%%%%%%%%%%% p3_1.m %%%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/24/99 HS
%----------------------------------------------------
%     Problem 3.1: Series connection of two systems.
%----------------------------------------------------
clear, clf
numG1 = [3 2 1]
denG1 = [4 5 8]
G1 = tf(numG1,denG1)
numG2 = [4 2]
denG2 = [1 2 10]
G2 = tf(numG2,denG2)
disp('*******>');pause
G12 = G1*G2
disp('*******>');pause
%------- find zeros, poles, & gain of combined system
[zG12,pG12,kG12] = zpkdata(G12,'v')
disp('All poles in LHP ==> Stable')
disp('*******>');pause
step(G12)
grid;title('P3.1: Step Response')
disp('End of Reinforcement Problem 3.1')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
