%%%%%%%%%%%%%%%%%%%%%% p3_14.m %%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 6/2/99 HS
%----------------------------------------------------
%          Problem 3.14: Feedback connection
%           find zeros, poles, gain of T(s).
%                Also get step response
%----------------------------------------------------
clear, clf
numG = 3*[1 6]
denG = conv([1 1],[1 3 5])
G = tf(numG,denG)
pG = roots(denG)     % poles of G
disp('*******>');pause
numH = [5 1]
denH = [15 1]
H = tf(numH,denH)
pH = roots(denH)     % poles of H
disp('*******>');pause
T = feedback(G,H)
disp('*******>');pause
[zT,pT,kT] = zpkdata(T,'v')
disp('All poles in LHP ==> Stable')
disp('*******>');pause
step(T)
grid;title('P3.14: step response of feedback connection')
disp('end of Reinforcement Problem 3.14')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%