%%%%%%%%%%%%%%%%%%%%%% p4_1.m %%%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 6/2/99 HS
%----------------------------------------------------
%      Problem 4.1: convert state-space model to 
%       transfer-function form. Then convert to 
%                  controller form.
%----------------------------------------------------
clear
disp('Problem 4.1: Third-order system')
disp('Enter A, B, C, D matrices')
A = [-4 1 2; 1 -5 3; 2 0 -6]
B = [1; 0.5; 2], C = [2 1 2], D =0
disp('*****>');pause
% convert to transfer function form
Gss = ss(A,B,C,D)
Gtf = tf(Gss)
disp('*****>');pause
% convert back to state-space form
Gss_from_tf = ss(Gtf)
% convert to ZPK form
Gzpk = zpk(Gss)
disp('*****>');pause
% convert back to state-space form
Gss_from_zpk = ss(Gzpk)
disp('end of Reinforcement Problem 4.1')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%