%%%%%%%%%%%%%%%%%%%%%% p4_5.m %%%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 6/2/99 HS
%----------------------------------------------------
%     Problem 4.5: connect state-space models in  
%              feedback configuration
%----------------------------------------------------
  clear
  disp('Problem 4.5: G1(s) and G2(s) in transfer-function form')
  disp(' ')
  numG1 = [3 2 1]
  denG1 = [4 5 8]
  G1 = tf(numG1,denG1)
  numG2 = [0 4 2]
  denG2 = [1 2 10]
  G2 = tf(numG2,denG2)
  disp('*****>');pause
  disp('Feedback connection of G1(s) & G2(s) in TF form')
  Gf = feedback(G1,G2)
  Gfss = ss(Gf)
  [Af,Bf,Cf,Df] = ssdata(Gfss)
  disp('*****>');pause
  disp('end of Reinforcement Problem 4.5')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%