%%%%%%%%%%%%%%%%%%%%%% p4_7.m %%%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/25/99 HS
%----------------------------------------------------
%       Problem 4.7: convert state-space model to 
%     the factored form. Then use pole and tzero to
%            verify system poles and zeros.
%----------------------------------------------------
  clear, clf
  disp('Problem 4.7: Fourth-order system with D ~= 0')
  disp('Enter A, B, C, D matrices')
  A = [-2 2 0 0; 0 -4 4 0; 0 0 -5 5; 0 0 0 -10]
  B = [0; 0; 0; 10], C = [1 0 1 0], D =0.5
  Gss = ss(A,B,C,D)
  disp('*****>');pause
  disp('System in factored form')
  Gzpk = zpk(Gss)
  [z,p,k] = zpkdata(Gzpk,'v')
  disp('*****>');pause
  disp('System transmission zeros')
  zero = tzero(Gss)
  pole = pole(Gss)
  pzmap(Gss)
  grid;title('P4.7: Fourth order system')
  disp('end of Reinforcement Problem 4.7')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%