%%%%%%%%%%%%%%%%%%%%%% p5_4.m %%%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/28/99 HS
%----------------------------------------------------
%                           K (s+8+j4)(s+8-j4)
%   Problem 5.4:    G(s) = --------------------
%                               (s+1)(s+5)
%----------------------------------------------------
clear,clf
num = conv([1 8+i*4],[1 8-i*4]) %- complex zeros
den = conv([1 1],[1 5])         %- 2 real poles
G = tf(num,den)
axis('square');
axis([-10 0 -5 5]);
rlocus(G)
grid;title('P5.4: Root Locus')
keyboard
[K,clpoles] = rlocfind(G)
disp('end of Reinforcement Problem 5.4')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%