%%%%%%%%%%%%%%%%%%%%% wif5_1.m %%%%%%%%%%%%%%%%%%%%%%
%       Feedback Control Problems with MATLAB
%           and the Control System Toolbox
%      D. K. Frederick and J. H. Chow, May 1999
%             last revision: 5/28/99 HS
%----------------------------------------------------
%	        What If for Example 5.1:
%	root locus with 3 real poles, 1 zero
%----------------------------------------------------
  clear,clf
  disp('WhatIf? 5.1: root locus with 3 real poles, 1 zero')
  disp(' ') 
  disp('                  K (s+5)  ')
  disp('     G(s) = ------------------- ')
  disp('              (s+1)(s+3)(s-P)  ')
  %------------------------------
  disp('  ')
  P = input('Enter loction of pole (-12 - Ex. 5.1) ==> ')
  disp('Create G(s) as ratio of polynomials')
  num = [1 5]
  temp = conv([1 1],[1 3]);
  den = conv(temp,[1 -P])
  G = tf(num,den)
  disp('*******>');pause
  disp('>>> root-locus plot with default area')
  disp('    Use axis command to adjust area for more detail')
  rlocus(G);grid
  title('WIF5.1: Root Locus')
axis('equal')
text('Units','norm','Pos',[0.05 0.05],...
	'Str',['variable pole = ' num2str(P)])
keyboard
%--------- 
disp('set pole = -28 & generate gain vector   ')
disp('....for plot that shows details of intersection')
disp('....so must plot locus as discrete points')
  P = -28	% causes intersection of branches
  disp('Create G(s) as ratio of polynomials')
  disp('*******>');pause
  num = [1 5];
  temp = conv([1 1],[1 3]);
  den = conv(temp,[1 -P]);
  G = tf(num,den)
 k=logspace(2.0,2.6,200);	% do lots of points
 rlocus(G,k);  grid
  axis('equal')
  axis([-20 2 -10 10])
title('WIF5.1: Root Locus, pole = -28, k=logspace(2.0,2.6)')
  text('Units','norm','Pos',[0.05 0.05],...
	'Str',['variable pole = ' num2str(P)])
disp('end of What If 5.1')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%




