%%%%% fig7_3.m %%%%% 
%	Jan 99
%  last revision:  1/2/99  JHC
set(gcf,'DefaultAxesFontSize',16)
set(gcf,'DefaultTextFontSize',16)
disp('fig 7.3: Example 7.2: Unit ramp and unit-ramp response')
  denGp = conv(conv([1 0],[1 1]),[1 20])     
  Gp = tf(1,denGp)                          % generate Gp(s)
  G = 50*Gp                                 % seires connection
  Kv = vgain(G)                             % velocity error constant
  T = feedback(G,1)                         % unity feedback system
  t = [0:0.05:10]'; u = t;                  % time and unit ramp
  y = lsim(T,u,t);                          % ramp response
  plot(t,t,'-',t,y,'--')
  %title('fig 7.3 : Unit ramp and unit-ramp response')
  xlabel('Time (sec.)')
  ylabel('Amplitude')
  text(4.3,5.5,'input')
  text(6.5,5.5,'response')
  grid
  print -deps fig7_3.eps
%-- reset fonts to defaults
set(gcf,'DefaultAxesFontSize',get(0,'DefaultAxesFontSize'));
set(gcf,'DefaultTextFontSize',get(0,'DefaultTextFontSize'));
%%%%%%%%%%